#
# spec file for package gigolo
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gigolo
Version:        0.4.2
Release:        lp150.1.6
Summary:        Frontend to Easily Manage Connections to Remote Filesystems
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://www.uvena.de/gigolo/
Source0:        http://archive.xfce.org/src/apps/gigolo/0.4/%{name}-%{version}.tar.bz2
Source1:        %{name}.png
BuildRequires:  ed
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
Requires:       gvfs
# uses xdg-open
Requires:       xdg-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     %{name}-lang = %{version}

%description
Gigolo is a frontend to easily manage connections to remote filesystems using
GIO/GVFS. It allows you to quickly connect/mount a remote filesystem and manage
bookmarks of such.

%lang_package

%prep
%setup -q
ed -s gigolo.desktop.in <<'EOF'
,s/^Icon=gtk-network/Icon=gigolo/
w
EOF

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# remove documentation/license files included below
rm -rf %{buildroot}%{_datadir}/doc

%suse_update_desktop_file -i %{name} System GTK Filesystem

%find_lang %{name}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc %{_mandir}/man1/gigolo.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files lang -f %{name}.lang

%changelog
* Thu Jan  9 2014 gber@opensuse.org
- update to version 0.4.2
  - Fix mnemonics in the Connect dialog.
  - Resolve symbolic links before writing config files.
  - Remember side panel position.
  - Store and display colours for bookmarks.
  - Allow editing bookmarks from the main window popup menu.
  - Do not set the colour when no colour is explicitly selected.
  - Add a separator to the Bookmark Edit Dialog.
  - Don't show errors we are not supposed to show.
  - Automatically choose the first Samba share if any were found.
  - Add 'Open in Terminal' command.
  - Remove some set but unused variables.
  - Display bookmark name in the connection list if the connection
    has a bookmark.
  - Do not make the Connect button insensitive, never (bug #8103).
  - Improve WebDav URI handling.
  - Validate an entered custom URI by trying to parse it.
  - After creating/editing a bookmark, update the list of mounts.
  - Fix WebDav path parsing when there is no path.
  - Add new command-line option to auto connect bookmarks.
  - Drop Waf build system support and just use autotools.
  - Translation updates
- drop gigolo-desktop.patch and edit desktop file in-place instead
* Sun Apr 29 2012 gber@opensuse.org
- added dependency on xdg-utils since xdg-open is used
- require gvfs, gigolo does not make much sense without it
* Fri Mar 30 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- build using autotools rather than waf
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Feb 17 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Sat Jan 15 2011 gber@opensuse.org
- do not require but recommend -lang subpackage
* Thu Dec 23 2010 gber@opensuse.org
- fix waf usage
  * use $RPM_OPT_FLAGS
  * show compiler output
- split off lang subpackage
* Sun Dec  5 2010 andrea@opensuse.org
-  spec file clean up, using pkgconfig for BuildRequires
* Sun Oct 24 2010 andrea@opensuse.org
- update to 0.4.1
  * Use SSH/SFTP as default connection type for new
    bookmarks/connections
  * Allow finishing the Connect / Bookmark Edit dialog by
    pressing Enter
  * Improve build system to respect LINGUAS environment variable
  * Show an error message dialog if the file-manager command failed
    to execute
  * Remove the preference to select the Volume Manager
    implementation
  * Many minor fixes and improvements
- remove unsopported locale
* Wed Jan 13 2010 prusnak@suse.cz
- updated to 0.4.0
  * Support mounting volumes like local partitions
  * WebDav URIs may have an optional path argument
  * Add a folder property for bookmarks which is used to open the file
    manager with this folder
  * Add a Bookmark side panel
  * Many minor fixes and improvements
* Tue Apr 21 2009 prusnak@suse.cz
- updated to 0.3.2
  * Improve the network browsing code to poperly auto-mount Samba
    resources for browsing if necessary
  * Updated translations
* Tue Apr 21 2009 prusnak@suse.cz
- updated to 0.3.1
  * Fix build with GTK 2.12
  * Show the main window when the status icon in the notification
    area gets removed
* Fri Apr  3 2009 prusnak@suse.cz
- updated to 0.3.0
  * Add a 'Browse Network' side panel to browse for available
    Samba/Windows network shares.
  * Detect an already running instance and show its window instead of
    starting a new instance.
  * Add command line option "--new-instance" ("-i") to restore the old
    behaviour.
  * Use the GtkMountOperation dialog when additional authentication
    information are needed. This implicitly allows choosing the method
    to store passwords (never, session, forever).
  * Minimise to tray when the close button is clicked instead of when
    minimising the main window.
  * Add a new preference to set whether to show error message dialogs
    when auto-connecting bookmarks.
  * Various fixes and improvements to URI handling.
  * Add a View menu to quickly change GUI preferences.
  * Add Online Help and Supported Protocols help menu items.
* Mon Feb 23 2009 prusnak@suse.cz
- updated to 0.2.1.
  * Fix wrong saving of Obex URIs
  * Fix always disabled 'Create Bookmark' menu item
  * Escape the userinfo part of URIs to allow at-signs.
* Tue Feb 17 2009 prusnak@suse.cz
- created package (version 0.2.0)
